<template>
    <div class="sidebar-menu-wrapper">
        <div class="menu__mobile" @click="toggleMobileMenu">
            <svg>
                <use xlink:href="/img/sprite.svg#menu"/>
            </svg>
            {{ $t('ui.menu.header') }}
        </div>
        <div class="content__right" v-show="is_display_menu">
            <app-menu/>
            <display-currency/>
        </div>
    </div>
</template>

<script>
    import Menu from "./Menu";
    import DisplayCurrency from "../components/sidebar/DisplayCurrency";

	export default {
		name: "Sidebar",
        data(){
		    return {
		        mobile_opened: false,
                windowWidth: window.innerWidth,
            }
        },
        computed: {
		    is_display_menu(){
		        return this.mobile_opened || (this.windowWidth > 1375)
            }
        },
        components: {
			'app-menu': Menu,
            DisplayCurrency
        },
        methods: {
            onResize() {
                this.windowWidth = window.innerWidth
            },
            toggleMobileMenu(){
                this.mobile_opened = !this.mobile_opened;
            }
        },
        created() {
            window.addEventListener('resize', this.onResize);
        },
        beforeDestroy() {
            window.removeEventListener('resize', this.onResize);
        },
	}
</script>

<style scoped>

</style>
